# cPy - demonstrates the usage of drawsvg for a rectangle
# Provided by Anthony Vogelaar, Perth Scotland
# rev 0.10  2024-09-17  initial release

# https://pypi.org/project/drawsvg/

import  os;     os.system('clear')
import  drawsvg as  draw

def main():
    d = draw.Drawing(200, 200)
    rect = draw.Rectangle(25, 50, 150, 100, rx=10, ry=10, stroke='blue', stroke_width=2, fill='yellow')
    d.append(rect)
    d.save_svg('test.svg')
    os.system('./svg_viewer.py test.svg')


main()
